QGIS Application - Bug report #9687
save style creates invalid file with action
2014-03-02 11:01 AM - Brent Wood

Status: Closed

Priority: Normal

Assignee:

Category: Vectors

Affected QGIS version:2.2.0 Regression?: No
Operating System: Linux (Mint) Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme
Crashes QGIS or corrupls data: Copied to github as #: 18252
Description

| have an open layer with an action assigned to it. | save the style for that layer.

When | try to apply that style to the reopened layer, | get an error: "error occurred while parsing reference at line 113 column 155"

The line is:

<property key="labeling/shapeFillColorB" value="255"/>eom

https://atlas.niwa.co.nz/login/SearchService?SERVICE REQUEST TYPE=100&#38;SERVICE REQUEST USERID=833&#38;SERVI
E_REQUEST ASSETID=[% "atlas_id" %]&SERVICE_REQUEST_PASSKEY=public"

The action is appended to this line, but also stored correctly later on in the file. If | edit the gml file & remove the action from the end of line
113, it works fine.

History

#1 - 2014-03-04 12:45 AM - Giovanni Manghi
- Status changed from Open to Feedback
- Category set to Vectors

Does not seems to apply to all actions(?) | just made one (using FF to open a URL written in the table of attributes), saved the action, save the style,

applied the style to the same layer (in another project) and no issues.

what is the action you are using?

#2 - 2014-06-23 07:40 AM - Giovanni Manghi
- Resolution set to worksforme
- Status changed from Feedback to Closed

closing for lack of feedback.
